> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm logo upload

> Confirm that the logo was successfully uploaded to GCS. Verifies file existence, activates the document, and updates organization preferences.



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/logo/confirm
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/logo/confirm:
    post:
      tags:
        - Core
        - Organizations
      summary: Confirm logo upload
      description: >-
        Confirm that the logo was successfully uploaded to GCS. Verifies file
        existence, activates the document, and updates organization preferences.
      operationId: confirm_logo_upload_organizations__organization_id__logo_confirm_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_confirm_logo_upload_organizations__organization_id__logo_confirm_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    Body_confirm_logo_upload_organizations__organization_id__logo_confirm_post:
      properties:
        document_id:
          anyOf:
            - type: string
            - type: string
              format: uuid
          title: Document Id
      type: object
      required:
        - document_id
      title: >-
        Body_confirm_logo_upload_organizations__organization_id__logo_confirm_post
    DocumentResponse:
      properties:
        id:
          type: string
          title: Id
          description: Document ID
        employee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Employee Id
          description: Employee ID
        org_id:
          type: string
          title: Org Id
          description: Employee ID
        document_type:
          $ref: '#/components/schemas/DocumentType'
        document_name:
          type: string
          title: Document Name
          description: User-friendly document name
        gcs_bucket:
          type: string
          title: Gcs Bucket
          description: GCS bucket name
        gcs_path:
          type: string
          title: Gcs Path
          description: GCS path
        file_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size Bytes
          description: File size in bytes
        mime_type:
          type: string
          title: Mime Type
        document_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Document Date
          description: Document date/period
        template_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Template Id
          description: Template ID (if generated)
        status:
          $ref: '#/components/schemas/DocumentStatus'
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User who created the document
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update timestamp
      additionalProperties: true
      type: object
      required:
        - id
        - employee_id
        - org_id
        - document_type
        - document_name
        - gcs_bucket
        - gcs_path
        - mime_type
        - status
        - created_at
      title: DocumentResponse
      description: Response schema for document information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentType:
      type: string
      enum:
        - payslip
        - contract
        - work_permit
        - id_document
        - proof_of_address
        - org_logo
        - uk_bacs_file
        - uk_bacs_file_csv
        - other
      title: DocumentType
    DocumentStatus:
      type: string
      enum:
        - active
        - archived
        - deleted
        - pending_upload
      title: DocumentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````